namespace EDPlayerJournal.Entries; 
public class HullDamageEntry : Entry {
    private double health = 0;
    private bool playerpilot = false;
    private bool fighter = false;

    public double Health => health;
    public bool PlayerPilot => playerpilot;
    public bool Fighter => fighter;

    protected override void Initialise() {
        health = JSON.Value<double?>("Health") ?? 100.0;
        playerpilot = JSON.Value<bool?>("PlayerPilot") ?? true;
        fighter = JSON.Value<bool?>("Fighter") ?? false;
    }
}
